package rocks.zipcode.io.quiz3.collections;

import rocks.zipcode.io.quiz3.objectorientation.enums.LabStatus;

import java.util.Collections;
import java.util.Map;
import java.util.UnknownFormatConversionException;

/**
 * @author leon on 10/12/2018.
 */
public class Student {
    private final Map<Lab, LabStatus> map;
    private Lab lab;
    private LabStatus labStatus;

    public Student() {
        this(null);
    }

    public Student(Map <Lab, LabStatus> map) {
        this.map = map;
    }

    public void setLabStatus(Lab lab, LabStatus labStatus) {
        this.lab = lab;
        this.labStatus = labStatus;
    }


    public void forkLab(Lab lab) {
        labStatus = LabStatus.PENDING;
    }

    public LabStatus getLabStatus(String labName) {
            return map.get(labName);
//        try {
//            return LabStatus.valueOf(labName);
//        } catch (UnsupportedOperationException e) {
//            throw new UnsupportedOperationException("Method not yet implemented");
//        }
    }
}
